<?php 
	
add_action('admin_menu', 'mg_gopt_menu');

function mg_gopt_menu() {
	add_options_page( mg_gopt_PLUGIN_NAME.' Settings', mg_gopt_PLUGIN_NAME, 'manage_options', 'mg_gopt_settings', 'mg_gopt_config' );
}

function mg_gopt_config(){

?>
<div class="wrap">
<h2><?php echo mg_gopt_PLUGIN_NAME; ?> Settings</h2>

 <?php if( (isset($_POST['posted']) == 1) && (is_admin() ) && wp_verify_nonce($_POST['_wpnonce']) ):
// print_r($_POST);
// die();
 ?>
 
  <div id="message" class="updated" > Settings saved successfully </div>  
	<?php
	// Radio Arrays
	$designopt = array('basic', 'framed', 'lrib') ;
	$box_styleopt = array('none', 'shadow', 'rounded', 'inset', 'curl');
	$button_coloropt = array('black', 'red', 'blue', 'green', 'orange');
	//Sanitize
	$design = ( isset($_POST['design']) && in_array($_POST['design'], $designopt) ) ? $_POST['design'] : '' ;
	$cover = ( isset( $_POST['cover'] ) ) ? esc_url_raw($_POST['cover']) : '' ;
	$coveralign = ( isset($_POST['coveralign']) && in_array($_POST['coveralign'], array('l', 'r') ) ) ? $_POST['coveralign'] : '' ;
	$headline = ( isset( $_POST['headline'] ) ) ? wp_kses_post( $_POST['headline'] ) : '' ;
	$desc = ( isset( $_POST['desc'] ) ) ? wp_kses_post( $_POST['desc'] ) : '';
	$ar_code = ( isset( $_POST['ar_code'] ) ) ? esc_textarea( $_POST['ar_code'] ) : '';
	$ar_name = ( ctype_alnum( $_POST['ar_name'] ) == 1 ) ? $_POST['ar_name'] : '' ;
	$ar_name = ( preg_match("/^[A-Za-z0-9_.-]+$/",$_POST['ar_name']) == 1 ) ? $_POST['ar_name'] : '';
	$ar_email = ( preg_match("/^[A-Za-z0-9_.-]+$/",$_POST['ar_email']) == 1 ) ? $_POST['ar_email'] : '';
	$ar_url = ( isset( $_POST['ar_url'] ) ) ? esc_url_raw( $_POST['ar_url'] ) : '' ;
	$ar_hidden = ( isset( $_POST['ar_hidden'] ) ) ? $_POST['ar_hidden'] : '' ;
	$ar_left = ( isset( $_POST['ar_left'] ) ) ? intval( $_POST['ar_left'] ) : '' ;
	$customcss = ( isset( $_POST['customcss'] ) ) ? esc_textarea( $_POST['customcss']) : '' ;
	$ribbon_color = ( isset( $_POST['ribbon_color'] ) && preg_match( '/^#[a-f0-9]{6}$/i', $_POST['ribbon_color'] ) == '1' ) ? $_POST['ribbon_color'] : '' ;
	$ribbon_text_color = ( isset( $_POST['ribbon_text_color'] ) && ( preg_match( '/^#[a-f0-9]{6}$/i', $_POST['ribbon_text_color'] ) == '1' ) ) ? $_POST['ribbon_text_color'] : '' ;
	$box_color = ( isset( $_POST['box_color'] ) && ( preg_match( '/^#[a-f0-9]{6}$/i', $_POST['box_color'] ) == '1' ) ) ? $_POST['box_color'] : '' ;
	$button_text = ( isset( $_POST['button_text'] ) ) ? sanitize_text_field( $_POST['button_text'] ) : '' ;
	$box_style = ( in_array( $_POST['box_style'], $box_styleopt ) ) ? $_POST['box_style'] : '' ;
	$button_color = ( in_array( $_POST['button_color'], $button_coloropt ) ) ? $_POST['button_color'] : '' ;

	$mg_gopt_options = array(
	'design' =>  $design,  
	'cover' =>  $cover,
	'coveralign' =>  $coveralign,  
	'headline' =>  $headline,
	'desc' =>  $desc,
	'ar_code' =>  $ar_code,
	'ar_name' =>  $ar_name,
	'ar_email' =>  $ar_email,
	'ar_url' =>  $ar_url,
	'ar_hidden' =>  $ar_hidden,
	'ar_left' => $ar_left,
	'customcss' => $customcss,
	'ribbon_color' => $ribbon_color,
	'ribbon_text_color' => $ribbon_text_color,
	'box_color' => $box_color,
	'box_style' => $box_style,
	'button_text' => $button_text,
	'button_color' => $button_color
	);
	update_option('mg_gopt_options', $mg_gopt_options );
	?>
  
  <?php else:  ?>
  
  <?php //exit; ?>
  
  <?php endif; ?>
  
<form method="post" action="options-general.php?page=mg_gopt_settings">
<?php wp_nonce_field();  
$config = get_option('mg_gopt_options');
$cover = ( !empty( $config['cover'] ) ) ? esc_url($config['cover']) : '' ;
$headline = ( !empty( $config['headline'] ) ) ? stripcslashes( $config['headline'] ) : '' ;
$desc = ( !empty( $config['desc'] ) ) ? stripcslashes( $config['desc'] ) : '';
$ar_code = ( !empty( $config['ar_code'] ) ) ? stripcslashes( $config['ar_code'] ) : '';
$ar_name = ( !empty( $config['ar_name'] ) ) ? $config['ar_name'] : '' ;
$ar_email = ( !empty( $config['ar_email'] ) ) ? $config['ar_email'] : '' ;
$ar_url = ( !empty( $config['ar_url'] ) ) ? esc_url( $config['ar_url'] ) : '' ;
$ar_hidden = ( !empty( $config['ar_hidden'] ) ) ? stripcslashes( $config['ar_hidden'] ) : '' ;
$ar_left = ( !empty( $config['ar_left'] ) ) ? stripcslashes( $config['ar_left'] ) : '' ;
$customcss = ( !empty( $config['customcss'] ) ) ? stripcslashes( $config['customcss'] ) : '' ;
$ribbon_color = ( !empty( $config['ribbon_color'] ) ) ? stripcslashes( $config['ribbon_color'] ) : '' ;
$ribbon_text_color = ( !empty( $config['ribbon_text_color'] ) ) ? stripcslashes( $config['ribbon_text_color'] ) : '' ;
$box_color = ( !empty( $config['box_color'] ) ) ? stripcslashes( $config['box_color'] ) : '' ;
$button_text = ( !empty( $config['button_text'] ) ) ? stripcslashes( $config['button_text'] ) : '' ;
?>  
<table class="form-table">
	<tr valign="top">
		<th scope="row">Select form design</th>
		<td>
		<label for=""></label>
		<label for="basic">Basic</label>
		  <input type="radio" name="design" class="design" id="basic" value="basic" <?php checked($config['design'], 'basic'); ?>>
		<label for="framed">Framed</label>
		  <input type="radio" name="design" class="design" id="framed" value="framed" <?php checked($config['design'], 'framed'); ?>>
		<label for="lrib">Left Ribbon</label>
		  <input type="radio" name="design" class="design" id="lrib" value="lrib" <?php checked($config['design'], 'lrib'); ?>>
		</td>
    </tr>
	
	<tr valign="top">
      <th scope="row">Cover image</th>
      <td>
	  <a href="#" class="button cover_upload">Upload Cover</a>
	  <input type="text" name="cover" id="cover" class="regular-text" value="<?php echo $cover; ?>">
	  <p><img src="<?php echo $cover; ?>" id="coverimg" /> <a href="#" id="removecoverimg">Remove Image</a></p>
      </td>
    </tr>
	
	<tr valign="top">
      <th scope="row">Align cover image</th>
      <td>
	  <label for="coveralignl">Left</label>
		<input type="radio" name="coveralign" class="coveralign" value="l" id="coveralignl" <?php checked( $config['coveralign'], 'l' ); ?>>
	  <label for="coveralignr">Right</label>
		<input type="radio" name="coveralign" class="coveralign" value="r" id="coveralignr" <?php checked( $config['coveralign'], 'r' ); ?>>
      </td>
    </tr>	
	
	<tr valign="top">
      <th scope="row">Optin headline</th>
      <td>
	  <textarea name="headline" id="headline" cols="30" rows="10" class="headline large-text"><?php echo $headline; ?></textarea>
      </td>
    </tr>
	
	
	<tr valign="top">
      <th scope="row">Optin copy</th>
      <td>
	  <textarea name="desc" id="desc" id="desc" cols="30" rows="10" class="large-text"><?php echo $desc; ?></textarea>
      </td>
    </tr>
	
	<tr valign="top">
		<th scope="row">Optin form code<a name="ar_advance"></th>
		<td>
		<textarea name="ar_code" id="ar_code" class="ar_code large-text" cols="30" rows="10"><?php echo $ar_code; ?></textarea><br>
		If your optin form doesn't work as expected, <a href="#ar_advance" id="viewarcode">view autoresponder code</a> to check.
		<div id="arcode_hdn_div" ></div>
		<div id="arcode_hdn_div2"></div>
		</td>
    </tr>
	
	<tr valign="top" class="ar_advance">
		<th scope="row">Optin form name field</th>
		<td></a>
		<input type="text" name="ar_name" id="ar_name" class="ar_name regular-text" value="<?php echo $ar_name; ?>">
		</td>
	</tr>
	
	<tr valign="top" class="ar_advance">
		<th scope="row">Optin form email field</th>
		<td>
		<input type="text" name="ar_email" id="ar_email" class="ar_email regular-text" value="<?php echo $ar_email; ?>">
		</td>
	</tr>

	<tr valign="top" class="ar_advance">
		<th scope="row">Optin form URL</th>
		<td>
		<input type="text" name="ar_url" id="ar_url" class="ar_url regular-text"  value="<?php echo $ar_url; ?>">
		</td>
	</tr>

	<tr valign="top" class="ar_advance">
		<th scope="row">Optin form hidden fields</th>
		<td>
		<textarea name="ar_hidden" id="ar_hidden" cols="30" rows="10" class="ar_hidden large-text"><?php echo $ar_hidden; ?></textarea>
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row">Form left padding</th>
		<td>
		<input type="text" name="ar_left" id="mg_gopt_ar_left" value="<?php echo $ar_left; ?>">px (numbers only)<br>
		Add padding size to make the form appear centered if needed. Better, if you know CSS, enter it below.
		</td>
	</tr>
	
	<tr valign="top"><a name="customcss"></a>
		<th scope="row">Custom CSS</th>
		<td>
		<textarea name="customcss" id="customcss" cols="30" rows="10" class="large-text"><?php echo $customcss; ?></textarea><br>
		If you are familiar with CSS, enter it here.
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row">Ribbon Color</th>
		<td>
		<input type="text" id="ribbon_color" class="color-picker" name="ribbon_color" value="<?php echo $ribbon_color; ?>"><br>
			<small>For ribbon design only</small>
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row">Ribbon Text Color</th>
		<td>
		<input type="text" name="ribbon_text_color" class="color-picker" id="ribbon_text_color" class="regular-text" value="<?php echo $ribbon_text_color; ?>"><br>
			<small>For ribbon design only</small>
		</td>
	</tr>

	<tr valign="top">
		<th scope="row">Box Color</th>
		<td>
		<input type="text" name="box_color" id="box_color" class="color-picker" value="<?php echo $box_color; ?>">
		</td>
	</tr>

	<tr valign="top">
		<th scope="row">Box style</th>
		<td>
			<select name="box_style">
				<option value="none" <?php selected( $config['box_style'], '' ); ?>>None</option>
				<option value="shadow" <?php selected( $config['box_style'], 'shadow' ); ?>>Shadow</option>
				<option value="rounded" <?php selected( $config['box_style'], 'rounded' ); ?>>Rounded</option>
				<option value="inset" <?php selected( $config['box_style'], 'inset' ); ?>>Inset Shadow</option>
				<option value="curl" <?php selected( $config['box_style'], 'curl' ); ?>>Curl</option>
			</select><br>
			<small>For ribbon design only</small>
		</td>
	</tr>

	<tr valign="top">
		<th scope="row">Submit Button Text</th>
		<td>
		<input type="text" name="button_text" id="button_text" class="regular-text" value="<?php echo $button_text; ?>">
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row">Submit Button Color</th>
		<td>
		<label for="btnblack">Black</label>
			<input type="radio" name="button_color" class="button_color" value="black" id="btnblack" <?php checked( $config['button_color'], 'black' ); ?>>
		<label for="btnred">Red</label>
			<input type="radio" name="button_color" class="button_color" value="red" id="btnred" <?php checked( $config['button_color'], 'red' ); ?>>
		<label for="btnblue">Blue</label>
			<input type="radio" name="button_color" class="button_color" value="blue" id="btnblue" <?php checked( $config['button_color'], 'blue' ); ?>>
		<label for="btngreen">Green</label>
			<input type="radio" name="button_color" class="button_color" value="green" id="btngreen" <?php checked( $config['button_color'], 'green' ); ?>>
		<label for="btnorange">Orange</label>
			<input type="radio" name="button_color" class="button_color" value="orange" id="btnorange" <?php checked( $config['button_color'], 'orange' ); ?>>
		</td>
	</tr>

</table>

<input type="hidden" value="1" name="posted" />
<input type="Submit" value="Save Changes" class="button-primary" />
</form>
  
</div>


<?php 
}
?>